- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 996c0ad8-7443-47f7-892f-2b567a57f8ea
    creation_time: 2023-02-17T12:06:55.970750Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 34
    column: 0
    function: main
  loop_invariant:
    string: limit == bufsize-4 &&  ( i == 0 && 0 > len || 0 <= i && i <= len ) 
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 223b7876-fe6e-4289-ae6b-b7ed33f4a755
    creation_time: 2023-02-17T12:06:55.970968Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: limit == bufsize-4 && 0 <= i && i <= len &&  ( 0 <= j && j <= limit+2 && limit+2 == bufsize-2 || j == 0 && 0 > limit ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d15e6723-3afa-4616-abac-43cfb9a1e1ce
    creation_time: 2023-02-17T12:06:55.971156Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 37
    column: 0
    function: main
  location_invariant:
    string: i+1 < len
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: cecdbbf2-c1c8-4692-8f95-71db963e2d48
    creation_time: 2023-02-17T12:06:55.971243Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 38
    column: 0
    function: main
  location_invariant:
    string: 0 <= i
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: a7f0613d-cb94-4b45-8f99-df3dd7806f34
    creation_time: 2023-02-17T12:06:55.971324Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 40
    column: 0
    function: main
  location_invariant:
    string: i < len
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 04a9e568-330f-437f-aec7-5a5aa2606267
    creation_time: 2023-02-17T12:06:55.971403Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 41
    column: 0
    function: main
  location_invariant:
    string: 0 <= i
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 969b26f9-f955-4582-a861-a78a6bcfb7f0
    creation_time: 2023-02-17T12:06:55.971485Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 42
    column: 0
    function: main
  location_invariant:
    string: j < bufsize
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 1a6725d1-7140-4dc9-b329-a75876bb5b6e
    creation_time: 2023-02-17T12:06:55.971582Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 43
    column: 0
    function: main
  location_invariant:
    string: 0 <= j
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5ba2f3d3-e8db-4545-b51c-5c8d27b23764
    creation_time: 2023-02-17T12:06:55.971671Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 46
    column: 0
    function: main
  location_invariant:
    string: i < len
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: abde936c-0c6b-4d28-a790-f23f1931fc79
    creation_time: 2023-02-17T12:06:55.971748Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 47
    column: 0
    function: main
  location_invariant:
    string: 0 <= i
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 507d4db0-d157-4cea-a109-a4b531555f4d
    creation_time: 2023-02-17T12:06:55.971826Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 48
    column: 0
    function: main
  location_invariant:
    string: j < bufsize
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: fd1dc20c-cd9b-467b-9364-03b9340c5fd8
    creation_time: 2023-02-17T12:06:55.971903Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 49
    column: 0
    function: main
  location_invariant:
    string: 0 <= j
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 3b9a17a1-1f4e-426c-93bd-ea2f2af6fb0f
    creation_time: 2023-02-17T12:06:55.971982Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 52
    column: 0
    function: main
  location_invariant:
    string: j < bufsize
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: a0f00498-5df5-4d8d-b33a-e9c7b86d2559
    creation_time: 2023-02-17T12:06:55.972061Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 53
    column: 0
    function: main
  location_invariant:
    string: 0 <= j
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 240951ca-dd08-4a79-b635-6ae25738c8b0
    creation_time: 2023-02-17T12:06:55.972144Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 57
    column: 0
    function: main
  location_invariant:
    string: i < len
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 609ccaf8-c696-430c-b0e1-51a50948299d
    creation_time: 2023-02-17T12:06:55.972220Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 58
    column: 0
    function: main
  location_invariant:
    string: 0 <= i
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 7943ba39-9622-447f-a507-6798eb8c0c4a
    creation_time: 2023-02-17T12:06:55.972300Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 59
    column: 0
    function: main
  location_invariant:
    string: j < bufsize
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 22bf2844-1f5b-412e-a56c-32ff9375092d
    creation_time: 2023-02-17T12:06:55.972378Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 60
    column: 0
    function: main
  location_invariant:
    string: 0 <= j
    type: assertion
    format: C

